/****************************************************  Common Defaults  *****************************************************

	Red Rapids
	797 North Grove Rd
	Suite 101
	Richardson, TX 75081
	www.redrapids.com | support@redrapids.com

	The following defaults are assigned to structures defined in the common functions header.

	Rev History: 1-10-2014:		Inital release.

	Copyright 2014, Red Rapids, Inc.

****************************************************  Common Defaults  *****************************************************/

#ifndef _COMMON_DEFAULTS_H_
#define _COMMON_DEFAULTS_H_

#if defined(__cplusplus)
	extern "C" {
#endif

// Initialize a default structure for the GPIO and USER (#51 - #62) signal translator direction settings.
s_TranslatorDirection TranslatorDirectionDefault = {
	{ // GPIO Direction
		0,	// GPIO #1		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// GPIO #2		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// GPIO #3		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// GPIO #4		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// GPIO #5		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0	// GPIO #6		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
	},
	{ // USER Direction
		0,	// USER #51		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #52		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #53		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #54		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #55		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #56		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #57		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #58		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #59		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #60		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0,	// USER #61		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
		0	// USER #62		Set the signal direction to input or output. - Range: 0 (input) to 1 (output)
	},
};

// Initialize a default structure for the fault interrupt mask.
s_ErrorStatus ErrorMaskDefault = {
	{ // BAR Error
		0,	// BAR0 Write Error			Generate an interrupt when a BAR0 write error is detected. - Range: 0 (disable) to 1 (enable)
		0,	// BAR0 Read Error			Generate an interrupt when a BAR0 read error is detected. - Range: 0 (disable) to 1 (enable)
		0,	// BAR2 Write Error			Generate an interrupt when a BAR2 write error is detected. - Range: 0 (disable) to 1 (enable)
		0	// BAR2 Read Error			Generate an interrupt when a BAR2 read error is detected. - Range: 0 (disable) to 1 (enable)
	},
	{ // Clock
		0,	// DCM Lock					Generate an interrupt when the FPGA DCM is out of lock. - Range: 0 (disable) to 1 (enable)
		0,	// IDELAY Lock				Generate an interrupt when the FPGA IDELAY controller is out of lock. - Range: 0 (disable) to 1 (enable)
		0	// Clock Lock				Generate an interrupt when the clock lock function produces an error. - Range: 0 (disable) to 1 (enable)
	}
};

// Initialize a default variable for the global interrupt mask setting.
unsigned long GlobalMaskDefault = 0;	// Global Interrupt Mask 	Enable or disable all interrupt generation from the device. - Range: 0 (disable) to 1 (enable)

#ifdef __cplusplus
}
#endif

#endif
